﻿/* -----------base styles---------------- */
@font-face {
    font-family: 'Lato';
    font-style: normal;
    font-weight: 400;
    src: url(../Vendors/lato/lato.woff2) format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

:root {
    --dg-display: none;
    --bg-color: #0190FE;
    --fore-color: #FFFFFF;
    --fore-color-high: #0081e4;
    --fore-color-gray: #E5E5E5;
    --fg-color-sd: rgba(0, 0, 0, 0.30);
    --fg-color-md: rgba(0, 0, 0, 0.35);
    --fg-color-hd: rgba(0, 0, 0, 0.50);
}

body {
    background: var(--bg-color) !important;
    font-family: 'Lato' !important;
}

.fore-color {
    color: var(--fore-color) !important;
}

.fore-color-high {
    color: var(--fore-color-high) !important;
}

.fore-color-gray {
    color: var(--fore-color-gray) !important;
}

.blink-span {
    animation: blinker 1s linear infinite;
}

/* -----------Input Styles---------------- */
input[type='text'] {
    color: var(--fore-color-high) !important;
    background: var(--fore-color) !important;
    border: 1px solid var(--fore-color-high) !important;
}

input[type='password'] {
    color: var(--fore-color-high) !important;
    background: var(--fore-color) !important;
    border: 1px solid var(--fore-color-high) !important;
}

input[type='number'] {
    color: var(--fore-color-high) !important;
    background: var(--fore-color) !important;
    border: 1px solid var(--fore-color-high) !important;
}

input[type='date'] {
    color: var(--fore-color-high) !important;
    background: var(--fore-color) !important;
    border: 1px solid var(--fore-color-high) !important;
}

input[type='date'] {
    color: var(--fore-color-high) !important;
    background: var(--fore-color) !important;
    border: 1px solid var(--fore-color-high) !important;
}

input[type='datetime-local'] {
    color: var(--fore-color-high) !important;
    background: var(--fore-color) !important;
    border: 1px solid var(--fore-color-high) !important;
}

select {
    color: var(--fore-color-high) !important;
    background: var(--fore-color) !important;
    border: 1px solid var(--fore-color-high) !important;
}

    select option {
        color: var(--fore-color-high) !important;
        background: var(--fore-color) !important;
    }

input[type='text']:focus {
    box-shadow: 2px 2px 4px var(--fore-color-high) !important;
}

input[type='password']:focus {
    box-shadow: 2px 2px 4px var(--fore-color-high) !important;
}

input[type='number']:focus {
    box-shadow: 2px 2px 4px var(--fore-color-high) !important;
}

input[type='date']:focus {
    box-shadow: 2px 2px 4px var(--fore-color-high) !important;
}

input[type='datetime-local']:focus {
    box-shadow: 2px 2px 4px var(--fore-color-high) !important;
}

select:focus {
    box-shadow: 2px 2px 4px var(--fore-color-high) !important;
}

input[type=checkbox] {
    position: relative;
    cursor: pointer;
}

    input[type=checkbox]:focus {
        box-shadow: 2px 2px 4px var(--fore-color-high) !important;
    }

    input[type=checkbox]:before {
        content: "";
        display: block;
        position: absolute;
        width: 16px;
        height: 16px;
        top: 0;
        left: 0;
        border: 2px solid var(--fore-color-gray);
        border-radius: 3px;
        background-color: white;
    }

    input[type=checkbox]:checked:after {
        content: "";
        display: block;
        width: 5px;
        height: 10px;
        border: solid var(--fore-color-high) !important;
        border-width: 0 2px 2px 0 !important;
        -webkit-transform: rotate(45deg);
        -ms-transform: rotate(45deg);
        transform: rotate(45deg);
        position: absolute;
        top: 2px;
        left: 6px;
    }

input[type=radio] {
    position: relative;
    cursor: pointer;
}

    input[type=radio]:focus {
        box-shadow: 2px 2px 4px var(--fore-color-high) !important;
    }

    input[type=radio]:before {
        content: "";
        display: block;
        position: absolute;
        width: 16px;
        height: 16px;
        top: 0;
        left: 0;
        border: 2px solid var(--fore-color-gray);
        border-radius: 10px;
        background-color: white;
    }

    input[type=radio]:checked:after {
        content: "";
        display: block;
        width: 5px;
        height: 10px;
        border: solid var(--fore-color-high) !important;
        border-width: 0 2px 2px 0 !important;
        -webkit-transform: rotate(45deg);
        -ms-transform: rotate(45deg);
        transform: rotate(45deg);
        position: absolute;
        top: 2px;
        left: 6px;
    }

/* -----------Custom select2------------- */
.select2-selection__placeholder {
    color: var(--fore-color-high) !important;
}

.select2-selection__rendered {
    border-radius: 5px !important;
    line-height: 32px !important;
    color: var(--fore-color-high) !important;
    background: var(--fore-color) !important;
    border: 1px solid var(--fore-color-high) !important;
}

.select2-search--dropdown {
    background-color: var(--fore-color) !important;
}

.select2-selection__arrow {
    height: 30px !important;
}

.select2-search__field {
    color: var(--fore-color-high) !important;
    background: var(--fore-color) !important;
}

.select2-results__option {
    color: var(--fore-color-high) !important;
    background: var(--fore-color) !important;
}

.select2-results__option--highlighted {
    color: var(--fore-color) !important;
    background: var(--fore-color-high) !important;
}

.select2-container--default .select2-selection--single {
    border: none;
}

/* -----------Custom sumoselect------------- */
.SumoSelect {
    width: 100% !important;
}

    .SumoSelect > .CaptionCont {
        background: var(--fore-color) !important;
        border: 1px solid var(--fore-color-high) !important;
    }

        .SumoSelect > .CaptionCont > span {
            color: var(--fore-color-high) !important;
        }

    .SumoSelect > .optWrapper > .options {
        color: var(--fore-color-high) !important;
        background: var(--fore-color) !important;
    }

/* -----------Custom Model------------- */
.offcanvas {
    width: 15vw !important;
    color: var(--fore-color) !important;
    background: var(--bg-color) !important;
}

.offcanvas-header {
    background: var(--fg-color-sd) !important;
}

.offcanvas-body {
    background: var(--fg-color-sd) !important;
}

.nav-item:hover {
    background: var(--fg-color-sd) !important;
}

.modal-backdrop {
    background-color: var(--fg-color-sd) !important;
}

.slide-reveal-overlay {
    background-color: var(--fg-color-sd) !important;
}

.jBox-overlay {
    background-color: var(--fg-color-sd) !important;
}

.jBox-Confirm-button-submit {
    background: var(--fore-color-high) !important;
    color: var(--fore-color) !important;
}

/* -----------Custom Table------------- */
table {
    table-layout: fixed;
}

th, td {
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.dataTables_wrapper {
    color: var(--fore-color) !important;
}

    .dataTables_wrapper .dt-button {
        color: var(--fore-color) !important;
        background: var(--fore-color-high) !important;
        box-shadow: none;
    }

    .dataTables_wrapper .dataTables_filter input {
        color: var(--fore-color-high) !important;
        background-color: var(--fore-color) !important;
    }

button.dt-button.buttons-columnVisibility:not(.active) {
    color: var(--fore-color-high) !important;
    background: var(--fore-color) !important;
    box-shadow: none;
}

.dataTable th {
    color: var(--fore-color);
    background: var(--fore-color-high);
    text-transform: uppercase;
    text-shadow: -1px -1px 1px rgba(0, 0, 0, 0.1);
}

.dataTable tr {
    color: var(--fore-color);
    text-shadow: -1px -1px 1px rgba(0, 0, 0, 0.1);
}

    .dataTable tr:hover td {
        color: var(--fore-color-high);
        background: var(--fore-color);
    }

    .dataTable tr.odd.context-menu-active {
        color: var(--fore-color-high);
        background: var(--fore-color);
    }

    .dataTable tr.even.context-menu-active {
        color: var(--fore-color-high);
        background: var(--fore-color);
    }

/* -----------Custom Dropdown------------- */
.dropdown-menu .divider {
    height: 1px;
    overflow: hidden;
    background-color: var(--fore-color-gray) !important;
}

.dropdown-menu .dropdown-item {
    cursor: pointer;
    color: var(--fore-color-high) !important;
    background-color: var(--fore-color) !important;
}

.dropdown-item.hover, .dropdown-item:hover {
    color: var(--fore-color) !important;
    background-color: var(--fore-color-high) !important;
}

/* -----------Custom contextMenu------------- */
.context-menu-list {
    color: var(--fore-color-high) !important;
    background: var(--fore-color) !important;
    border: 1px solid var(--fore-color-high) !important;
}

    .context-menu-list li {
        color: var(--fore-color-high) !important;
        background: var(--fore-color) !important;
    }

.context-menu-icon.context-menu-icon--fa::before {
    color: inherit !important;
}

.context-menu-item .context-menu-hover {
    color: var(--fore-color) !important;
    background-color: var(--fore-color-high) !important;
}

.context-menu-item:hover {
    background-color: var(--fore-color-high) !important;
    color: var(--fore-color) !important;
}

/* -----------Custom Heading------------- */
.page-heading h5 {
    margin: auto;
    position: relative;
    width: fit-content;
    text-align: center;
    padding-bottom: 13px;
    white-space: nowrap;
    text-transform: uppercase;
    font-weight: bolder;
    letter-spacing: 2px;
    -webkit-transition: all 0.4s ease 0s;
    -o-transition: all 0.4s ease 0s;
    transition: all 0.4s ease 0s;
}

    .page-heading h5:before {
        background-color: var(--fore-color-high) !important;
        content: '';
        display: block;
        height: 3px;
        width: 40%;
        margin-bottom: 5px;
    }

    .page-heading h5:after {
        background-color: var(--fore-color-high) !important;
        content: '';
        display: block;
        height: 3px;
        width: 40%;
        margin-bottom: 0.25em;
        position: absolute;
        right: 0;
        bottom: 0;
    }

/* -----------Custom Button------------- */
.rectbtn {
    padding: 7px 50px 7px 50px;
    background: var(--fore-color-high) !important;
    border: 1px var(--fore-color) solid;
    color: var(--fore-color) !important;
    transition: 0.5s;
    border-radius: 2px;
    text-align: center;
    cursor: pointer;
}

    .rectbtn:hover {
        background: var(--fore-color-gray) !important;
        border: 1px var(--fore-color-high) solid;
        color: var(--fore-color-high) !important;
    }

    .rectbtn:focus {
        background: var(--fore-color-gray) !important;
        border: 1px var(--fore-color-high) solid;
        color: var(--fore-color-high) !important;
    }

.simlink {
    color: var(--fore-color) !important;
    cursor: pointer;
    transition: 0.5s;
    text-decoration: none;
}

    .simlink:hover {
        color: var(--fore-color-high) !important;
        cursor: pointer;
        text-decoration: none;
    }

    .simlink:focus {
        color: var(--fore-color-high) !important;
        cursor: pointer;
        text-decoration: none;
    }

    .simlink > span {
        font-family: 'Lato';
    }

    .simlink > b {
        font-family: 'Lato';
        font-weight: normal;
        font-size: 0.7em;
    }

/* -----------Custom Loading------------- */
.loading {
    position: fixed;
    z-index: 999;
    margin: auto;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
}

    .loading:before {
        content: '';
        display: block;
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: var(--fg-color-sd);
    }

.waitercube {
    width: 70px;
    height: 70px;
    text-align: center;
    font-size: 10px;
}

.waitercubelbl {
    display: inline-block;
    margin-top: 120%;
    color: var(--fore-color);
    font-size: small;
    font-weight: bold;
}

.waitercube1, .waitercube2 {
    background-color: var(--fore-color-high);
    width: 15px;
    height: 15px;
    position: absolute;
    top: 0;
    left: 0;
    -webkit-animation: waitercube 1.8s infinite ease-in-out;
    animation: waitercube 1.8s infinite ease-in-out;
}

.waitercube2 {
    -webkit-animation-delay: -0.9s;
    animation-delay: -0.9s;
}

@-webkit-keyframes waitercube {
    25% {
        -webkit-transform: translateX(42px) rotate(-90deg) scale(0.5);
    }

    50% {
        -webkit-transform: translateX(42px) translateY(42px) rotate(-180deg);
    }

    75% {
        -webkit-transform: translateX(0px) translateY(42px) rotate(-270deg) scale(0.5);
    }

    100% {
        -webkit-transform: rotate(-360deg);
    }
}

@keyframes waitercube {
    25% {
        transform: translateX(42px) rotate(-90deg) scale(0.5);
        -webkit-transform: translateX(42px) rotate(-90deg) scale(0.5);
    }

    50% {
        transform: translateX(42px) translateY(42px) rotate(-179deg);
        -webkit-transform: translateX(42px) translateY(42px) rotate(-179deg);
    }

    50.1% {
        transform: translateX(42px) translateY(42px) rotate(-180deg);
        -webkit-transform: translateX(42px) translateY(42px) rotate(-180deg);
    }

    75% {
        transform: translateX(0px) translateY(42px) rotate(-270deg) scale(0.5);
        -webkit-transform: translateX(0px) translateY(42px) rotate(-270deg) scale(0.5);
    }

    100% {
        transform: rotate(-360deg);
        -webkit-transform: rotate(-360deg);
    }
}

/* -----------Custom Scrollbar------------- */
::-webkit-scrollbar {
    width: 5px;
    height: 5px;
}

::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px var(--fg-color-sd);
}

::-webkit-scrollbar-thumb {
    -webkit-box-shadow: inset 0 0 6px var(--fg-color-hd);
}

/* -----------Custom Background------------- */
.cubes {
    position: absolute;
    z-index: -999;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
}

    .cubes li {
        display: var(--dg-display);
        position: absolute;
        list-style: none;
        width: 20px;
        height: 20px;
        background: var(--fg-color-sd);
        animation: animate 25s linear infinite;
        bottom: -150px;
    }

        .cubes li:nth-child(1) {
            left: 25%;
            width: 80px;
            height: 80px;
            animation-delay: 0s;
        }

        .cubes li:nth-child(2) {
            left: 10%;
            width: 20px;
            height: 20px;
            animation-delay: 2s;
            animation-duration: 12s;
        }

        .cubes li:nth-child(3) {
            left: 70%;
            width: 20px;
            height: 20px;
            animation-delay: 4s;
        }

        .cubes li:nth-child(4) {
            left: 40%;
            width: 60px;
            height: 60px;
            animation-delay: 0s;
            animation-duration: 18s;
        }

        .cubes li:nth-child(5) {
            left: 65%;
            width: 20px;
            height: 20px;
            animation-delay: 0s;
        }

        .cubes li:nth-child(6) {
            left: 75%;
            width: 110px;
            height: 110px;
            animation-delay: 3s;
        }

        .cubes li:nth-child(7) {
            left: 35%;
            width: 150px;
            height: 150px;
            animation-delay: 7s;
        }

        .cubes li:nth-child(8) {
            left: 50%;
            width: 25px;
            height: 25px;
            animation-delay: 15s;
            animation-duration: 45s;
        }

        .cubes li:nth-child(9) {
            left: 20%;
            width: 15px;
            height: 15px;
            animation-delay: 2s;
            animation-duration: 35s;
        }

        .cubes li:nth-child(10) {
            left: 85%;
            width: 150px;
            height: 150px;
            animation-delay: 0s;
            animation-duration: 11s;
        }

@keyframes animate {
    0% {
        transform: translateY(0) rotate(0deg);
        opacity: 1;
        border-radius: 10%;
    }

    100% {
        transform: translateY(-1000px) rotate(720deg);
        opacity: 0;
        border-radius: 50%;
    }
}
